net.sf.jasperreports.charts.xml

## Class JRChartAxisFactory

- java.lang.Object
- - net.sf.jasperreports.engine.xml.JRBaseFactory
  - - net.sf.jasperreports.charts.xml.JRChartAxisFactory

- All Implemented Interfaces:
    org.apache.commons.digester.ObjectCreationFactory

      public class JRChartAxisFactory
      extends JRBaseFactory

  Version:
    $Id: JRChartAxisFactory.java 1578 2007-02-09 16:27:52Z shertage $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_position`
    `static java.lang.String` | `ELEMENT_axis`

    - ### Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `digester`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRChartAxisFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `createObject(org.xml.sax.Attributes atts)`

    - ### Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory

      `getDigester, setDigester`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEMENT_axis

          public static final java.lang.String ELEMENT_axis

      See Also:
        Constant Field Values

    - #### ATTRIBUTE_position

          public static final java.lang.String ATTRIBUTE_position

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRChartAxisFactory

          public JRChartAxisFactory()

  - ### Method Detail

    - #### createObject

          public java.lang.Object createObject(org.xml.sax.Attributes atts)
                                        throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com